Package org.apache.solr.common

# Enum Class ToleratedUpdateError.CmdType

java.lang.Object
java.lang.Enum<ToleratedUpdateError.CmdType>
org.apache.solr.common.ToleratedUpdateError.CmdType

All Implemented Interfaces:
  `Serializable`, `Comparable<ToleratedUpdateError.CmdType>`, `java.lang.constant.Constable`

Enclosing class:
  `ToleratedUpdateError`

public static enum ToleratedUpdateError.CmdType extends Enum<ToleratedUpdateError.CmdType>
Helper class for dealing with SolrException metadata (String) keys

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ADD`
`DELID`
`DELQ`

## Method Summary

Modifier and Type
Method
Description
`static ToleratedUpdateError.CmdType`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ToleratedUpdateError.CmdType[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### ADD

public static final ToleratedUpdateError.CmdType ADD

### DELID

public static final ToleratedUpdateError.CmdType DELID

### DELQ

public static final ToleratedUpdateError.CmdType DELQ

## Method Details

### values

public static ToleratedUpdateError.CmdType[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static ToleratedUpdateError.CmdType valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null